SETSID(2)

NAME
setsid - creates a session and sets the process group ID

SYNOPSIS
#include <unistd.h>

pid_t setsid(void);

DESCRIPTION
setsid() creates a new session if the calling process is not a process group leader. The calling process is the leader of the new session, the process group leader if the new process group, and has no controlling tty. The process group ID of the calling process is set to the PID of the calling process. The calling process will be the only process in this new process group and in this new session.

RETURN VALUE
The process group ID of the calling process.

ERRORS
On error, -1 will be returned. The only error which can happen is EPERM.

CONFORMING TO
POSIX

SEE ALSO
setpgid(2)